Forma Versione: 1.4.1 compatibilità PHP

Installazione, configurazione generale, notifiche, API, problemi server
Post Reply
fantoni
FormaLms User
Posts: 81
Joined: Thu Mar 15, 2012 1:54 pm
Version: forma.lms 1.4.1

Forma Versione: 1.4.1 compatibilità PHP

Post by fantoni »

Salve,
ho installato Forma Versione: 1.4.1.
Dovrei fare un upgrade del php dalla attuale 5.6 alla 7.
Dal momento che ci sono numerosi iscritti, ho il timore che il passaggio possa comportare dei malfunzionamenti.
Sapete se è possibile?

Grazie

GF

User avatar
max
FormaLms Guru
Posts: 2149
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Forma Versione: 1.4.1 compatibilità PHP

Post by max »

Salve
Ma perché una versione così vecchia? Perché non.installii forma 2?
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

fantoni
FormaLms User
Posts: 81
Joined: Thu Mar 15, 2012 1:54 pm
Version: forma.lms 1.4.1

Re: Forma Versione: 1.4.1 compatibilità PHP

Post by fantoni »

Ciao Max,
infatti è quello che dobbiamo fare.
Solo che ho due problemi prima di passare alla 2:
- aggiornare i contenuti dei corsi;
- sulla 1.4.1 abbiamo fatto fare una funzione che ci fa il tracciamento dei tempi di permanenza sui singoli LO

Al momento cosa mi consigli (a parte il passaggio alla 2)?
Grazie

Gianni

User avatar
max
FormaLms Guru
Posts: 2149
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Forma Versione: 1.4.1 compatibilità PHP

Post by max »

Ciao Gianni,
ricordo la funzione che citi, l'abbiamo fatta noi :-)
Se si parla della griglia utenti oggetti con i tempi di permanenza degli LO, è una modifica che è finita in forma 2, sia la 2.0 che la 2.1. E su Forma 2.2 è potenziata, nel senso che abbiamo introdotto un nuovo tipo di tabella responsive e con la possibilità di mettere in ordine per qualunque colonna.
Sul discorso dell'aggiornamento dei contenuti, non è detto che sia necessario. Cioé: ovviamente aggiornare i contenuti è sempre una buona idea, ma non è necessario. Quello che funzionava sulla 1.4 funziona anche sulla 2.
Resta il tema del php: se ben ricordo, Forma 1 non è compatibile con php 7. Forma 2 sì. Se aggiornare il php è indispensabile, direi che la strada è quella.
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

fantoni
FormaLms User
Posts: 81
Joined: Thu Mar 15, 2012 1:54 pm
Version: forma.lms 1.4.1

Re: Forma Versione: 1.4.1 compatibilità PHP

Post by fantoni »

Ciao Max,
si è vero è stata una funzione molto utile ed un ottimo lavoro.
Passo alla 2.2.
Devo organizzarmi in modo da lasciare attiva la vecchia versione, sino a quando glu ultimi utenti iscritti non avranno completato il percorso. Parallelamente predispongo la 2.2 per i nuovi iscritti.
Una domanda.
Come posso migrare i corsi dalla vecchia 1.4 alla nuovo 2.2?

Grazie

Gianni

User avatar
max
FormaLms Guru
Posts: 2149
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Forma Versione: 1.4.1 compatibilità PHP

Post by max »

Ciao Gianni,

meglio la 2.1 per ora, la 2.2 è ancora in versione alfa e non la consigliamo se non per demo e testing finché non sarà definitiva
Se vuoi tenere la vecchia fino a un certo punto e la nuova da un certo punto in poi non c'è modo di migrare i corsi se non ricreandoli e ricaricando tutto a mano.

In casi simili, noi di solito

- predisponiamo un ambiente demo con una copia della vecchia, che poi aggiorniamo alla 2
- nel mentre, la vecchia continua a funzionare
- quando abbiamo controllato che la nuova è tutta a posto, si mette la vecchia in manutenzione poi si migra sulla nuova e la si riaccende
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

fantoni
FormaLms User
Posts: 81
Joined: Thu Mar 15, 2012 1:54 pm
Version: forma.lms 1.4.1

Re: Forma Versione: 1.4.1 compatibilità PHP

Post by fantoni »

Ciao Max,
ti ringrazio dei suggerimenti che mi hai dato.
Seguo le tue indicazioni!

Grazie di nuovo

Gianni

Post Reply